#include <iostream>

using namespace std;

int main()
{
    long long a;
    int b;
    cin >> a >> b;
    int niz[2*a] = { 0 };
    for(int k=0;k<a;k++){
        int fi;
        cin >>fi;
        ++niz[fi+a];
        if(niz[fi+a]==b){
            cout << fi;
        }
    }
}